@echo off
if not %2.==. goto continue
echo.
echo Microsoft (R) Windows 3.0 Applets for OS/2
echo Setup Program
echo Copyright (C) Microsoft Corp. 1990-1991.  All rights reserved.
echo.
echo These Windows applets have been relinked to run with the Windows
echo Libraries for OS/2 (WLO) and are for demonstration purposes only.
echo.
echo Usage:
echo     setup path drive
echo.
echo     path      - specifies destination path where the Windows
echo                 applets will be installed
echo.
echo     drive     - specifies the drive from which the setup program is
echo                 being run (be sure to include the : (colon), but
echo.                do not include a \ (backslash) at the end).
echo Example:
echo            SETUP C:\APPLETS A:
echo.
goto exit

:continue
%2
if not exist %1 md %1
copy decomp.exe %1
copy setup.dat %1\setup.cmd
call %1\setup %1 %2
del %1\setup.*

:exit
